<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

if (file_exists(INFUSIONS."mg_last_seen_users/locale/".LANGUAGE.".php")) {
	include_once(INFUSIONS."mg_last_seen_users/locale/".LANGUAGE.".php");
} else {
	include_once(INFUSIONS."mg_last_seen_users/locale/German.php");
}
require_once INCLUDES."forum_functions_include.php"; 

/*******************************************************************
* Set minimum and maximum number of users you want displayed on each level
* Set image for online or offline / show time since last visit
*******************************************************************/

$min = 5;	// 
$max = 15;	// 
$days = 10;   // maximum days of lastvisit
$showimage = 1; // 0 = show time, 1 = show image with tooltip instead
$showgender = 1; // show little icon to display user's gender 0 = off, 1 = on

/******************************************************************/

echo "<script type='text/javascript'>
<!--
function toggle_lsup() {
	var smu = document.getElementById('show_more_users');
	var smutxt = document.getElementById('show_more_users_text');
	if (smu.style.display == 'none') {
		smu.style.display = 'block';
		smutxt.innerHTML = '".$locale['LSUP_010']."';
	} else {
		smu.style.display = 'none';
		smutxt.innerHTML = '".$locale['LSUP_009']."';
	}
}
//-->
</script>";

openside($locale['mglsu01']);
// Online User
	$result = $db->query(
		"SELECT online_user FROM ".DB_PREFIX."online"
	);
	$guests = 0; $members = 0;$ison=array();
	while ($data = $result->fetch()) {
		if ($data['online_user'] == "0") {
			
			$guests++;
		} else {
			$ison[$data['online_user']]=$data['online_user'];
			$members++;
		}
	}
	echo "<img src='".THEME."images/bullet.gif' alt=''> ".$locale['011'].$guests."<br>\n";
	if ($members > 0) {
	echo "<img src='".THEME."images/bullet.gif' alt=''> ".$locale['012'].$members."<br>\n";
	} else {
		echo $locale['013']."<br>\n";
	}
echo "<hr />";

echo "<table cellpadding='0' cellspacing='0' width='98%'>";
$result = dbquery("SELECT u.* FROM ".DB_PREFIX."users AS u WHERE u.user_status='0' AND u.user_lastvisit BETWEEN '".(time()-(3600*24*$days))."' AND ".time()." AND u.user_level>0 GROUP BY u.user_id ORDER BY u.user_lastvisit DESC,u.user_level DESC  LIMIT ".($min + $max));
if (dbrows($result) != 0) {
	$user_count = 0;
	while ($data = dbarray($result)) {
/*******************************************************************
* Begin show more feature.
********************************************************************/

if ($user_count == $min) {
echo "</table>
<div style='padding-top:6px; text-align:center;'>
<img alt='' border='0' src='".THEME."images/bullet.gif'>&nbsp;
<a href=\"javascript:void(0)\" onClick=\"toggle_lsup();\"><span class='small' id='show_more_users_text'>".$locale['LSUP_009']."</span></a>&nbsp;
<img alt='' border='0' src='".THEME."images/bulletb.gif'>
</div>
<div id='show_more_users' style='padding-top:6px; display: none;'>
<table cellpadding='0' cellspacing='0' width='98%'>";
}

/*******************************************************************
* End show more feature.
********************************************************************/

		// Check if user has ever logged in
		if ($data['user_lastvisit'] != 0) {
			$lastseen = time() - $data['user_lastvisit'];
			$iW=sprintf("%2d",floor($lastseen/604800));
			$iD=sprintf("%2d",floor($lastseen/(60*60*24)));
			$iH=sprintf("%02d",floor((($lastseen%604800)%86400)/3600));
			$iM=sprintf("%02d",floor(((($lastseen%604800)%86400)%3600)/60));
			$iS=sprintf("%02d",floor((((($lastseen%604800)%86400)%3600)%60)));
			if ($lastseen < 60 && array_key_exists($data['user_id'],$ison)) {
				$lastseen = ($showimage == "0" ? $locale['mglsu11'] : '<img src="'.INFUSIONS.'mg_last_seen_users/images/online.png"  border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$data['user_name'].$locale['mglsu11a'].'</span>'),'').')" onMouseOut="UnTip();" />');
			} elseif ($lastseen < 600){
				$lastseen = ($showimage == "0" ? $locale['LSUP_002'] : '<img src="'.INFUSIONS.'mg_last_seen_users/images/10min.png"  border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$data['user_name'].$locale['mglsu12a'].'</span>'),'').')" onMouseOut="UnTip();" />');
			} elseif ($lastseen < 3600){
				$lastseen = ($showimage == "0" ? $iH.":".$iM.":".$iS : '<img src="'.INFUSIONS.'mg_last_seen_users/images/1std.png"  border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$data['user_name'].$locale['mglsu12b'].'</span>'),'').')" onMouseOut="UnTip();" />');
			} elseif ($iW > 0){
				if ($iW == 1) {
					$Text = $locale['LSUP_003'];
				} else {
					$Text = $locale['LSUP_004'];
				}
				$lastseen = ($showimage == "0" ? $iW." ".$Text : '<img src="'.INFUSIONS.'mg_last_seen_users/images/offline.png"  border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$data['user_name'].$locale['mglsu21'].' '.$iW.' '.$Text.' '.$locale['mglsu21a'].'</span>'),'').')" onMouseOut="UnTip();" />');
			} elseif ($iD > 0){
				if ($iD == 1) {
					$Text = $locale['mglsu15'];
				} else {
					$Text = ($showimage == "0" ? $locale['mglsu16'] : $locale['mglsu16a']);
				}
				$lastseen = ($showimage == "0" ? $iD." ".$Text : '<img src="'.INFUSIONS.'mg_last_seen_users/images/offline.png"  border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$data['user_name'].$locale['mglsu21'].' '.$iD.' '.$Text.''.$locale['mglsu21a'].'</span>'),'').')" onMouseOut="UnTip();" />');
			} else {
				$lastseen = ($showimage == "0" ? $iH.":".$iM.":".$iS : '<img src="'.INFUSIONS.'mg_last_seen_users/images/offline.png"  border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$data['user_name'].$locale['mglsu21'].' '.$iH.':'.$iM.':'.$iS.'</span>'),'').')" onMouseOut="UnTip();" />');
			}
		} else {
			$lastseen = ($showimage == "0" ? $locale['LSUP_007'] : '<img src="'.INFUSIONS.'mg_last_seen_users/images/offline.png"  border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$data['user_name'].$locale['LSUP_007'].'</span>'),'').')" onMouseOut="UnTip();" />');
		}
		
		if ($data['user_avatar'] != "") { 
			$avatar = "<img src=\'".IMAGES."avatars/".$data['user_avatar']."\' width=\'80px\'>"; 
		} else {
			$avatar = "<img src=\'".BASEDIR."images/noavatar.jpg\' width=\'80px\'>";
		}
		
		if ($showgender == "1" && isset($data['user_gender'])) {
			if ($data['user_gender'] == "M") {
				$gender = " <img src='".INFUSIONS."mg_last_seen_users/images/male.gif' border='0' />";
			} elseif ($data['user_gender'] == "F") {
				$gender = " <img src='".INFUSIONS."mg_last_seen_users/images/female.gif' border='0' />";
			} else {
				$gender = "";
			}
		} else {
			$gender = "";
		}

echo "<tr>
<td class='small' align='left'>";
if (!iGUEST) {
$pmlink = ($data['user_id'] != $userdata['user_id'] ? '<a href="'.BASEDIR.'messages.php?msg_send='.$data['user_id'].'"><img src="'.INFUSIONS.'mg_last_seen_users/images/pm.gif"  border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['mglsu06'].'</span>'),'').')" onMouseOut="UnTip();" /></a> ' : '<img src="'.INFUSIONS.'mg_last_seen_users/images/nopm.gif"  border="0" onclick="alert(\''.$locale['mglsu22'].'\')"/> ');
$trmlnk = ($showgender == "1" ? "12" : "14"); // kann angepasst werden je nach Theme

echo $pmlink;
echo '<a '.wztool(wztooltip('<center>'.$avatar.'</center><hr />
		<b>'.$locale['mglsu07'].'</b><br />'.colorize_user($data['user_name'],$data['user_level'],$data['user_global_mod'],$data['user_id']).'</span><br /><br />
		<b>'.$locale['mglsu08'].'</b><br />'.getuserlevel($data['user_level']).'<br /><br />
		<b>'.$locale['mglsu09'].'</b><br />'.showdate("shortdate", $data['user_joined']).'<br /><br />
		<b>'.$locale['mglsu10'].'</b><br />'.showdate("%d.%m.%Y %H:%M:%S", $data['user_lastvisit']).''),$locale['u420'],0,'#333333','1','#E7E7E7','2','2').');" onMouseOut="UnTip();" href="'.$tpl->url(SEO_UPROFILE,"profile.php","lookup=",$data['user_id'],null,null,$data['user_name']).'">'.colorize_user(trimlink($data['user_name'],$trmlnk),$data['user_level'],$data['user_global_mod'],$data['user_id']).'</a>
';
echo $gender;
} else {
echo colorize_user($data['user_name'],$data['user_level'],$data['user_global_mod'],$data['user_id']);	
}
echo '</td>
<td class="small2" align="right" nowrap="nowrap">'.$lastseen.'</td>
</tr>';
		$user_count ++;
	}
}
echo "</table>";
if ($user_count > $min) { echo "</div>\n"; }

echo '<br><img src="'.THEME.'images/bullet.gif" alt=""> '.$locale['014'].number_format(dbcount("(user_id)", "users", "user_status='0' && user_id!='0'")).'<br>'."\n";
	$data = first_query("user_id,user_name,user_level,user_global_mod",DB_PREFIX."users","user_status='0' ORDER BY user_joined DESC");
if (!iGUEST) {
	echo '<img src="'.THEMEIMAGE.'bullet.gif" alt=""> '.$locale['016'].'<a href="'.$tpl->url(SEO_UPROFILE,"profile.php","lookup=",$data['user_id'],null,null,$data['user_name']).'">'.colorize_user($data['user_name'],$data['user_level'],$data['user_global_mod'],$data['user_id']).'</a>'."\n";
	} else {
echo '<img src="'.THEMEIMAGE.'bullet.gif" alt=""> '.$locale['016'].colorize_user($data['user_name'],$data['user_level'],$data['user_global_mod'],$data['user_id'])."\n";	
}
if (iADMIN && checkrights("M") && $settings['admin_activation'] == "1") {
	if ($activate_count=dbcount("(user_id)", "users", "user_status='2'")) echo '<br /><img src="'.THEMEIMAGE.'bullet.gif" alt=""> '.$locale['015'].'<a href="'.ADMIN.'members.php'.$aidlink.'&pagenum=2">'.$activate_count."\n";
}
	
closeside();
?>